Skip to main content
GET
/
api
/
agents
/
{id}
Get agent definition
curl --request GET \
  --url https://app.dacard.ai/api/agents/{id} \
  --cookie __session=
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agentType": "strategic_intelligence",
    "name": "<string>",
    "description": "<string>",
    "status": "active",
    "config": {
      "schedule": "<string>",
      "notifySlack": true,
      "productIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "lastRunStatus": "completed",
    "totalRuns": 123,
    "successRate": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "recentRuns": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "running",
        "triggerType": "schedule",
        "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "artifactsGenerated": 123,
        "tasksCompleted": 123,
        "totalTasks": 123,
        "tokensUsed": 123,
        "errorMessage": "<string>",
        "startedAt": "2023-11-07T05:31:56Z",
        "completedAt": "2023-11-07T05:31:56Z",
        "durationMs": 123
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.

Path Parameters

id
string<uuid>
required

Agent definition ID

Response

Agent definition with recent runs

data
object